;       EMPTY.ASM version 1.3
comment 
        last updated by Roedy Green 1998 November 8.

        WARNING EMPTY WORKS ONLY ON 8.3 FILENAMES.

        This program is copyrighted, but may be copied freely.
        It may be used for any purpose except military.

        EMPTY C:\MySub\MyFile.Ext

        Creates an empty file or empties an existing one.
        The size of the resultant file is 0 Bytes.
        It will not create empty Btrieve files for you. You need
          BUTIL.EXE to do that.
        This utility has three uses:
        1.  recreating 0-length files that COPY lost.
            (Some versions of COPY refuse to copy files of 0 bytes.)
        2.  creating new files.
        3.  getting rid of the contents of old files

        This code is primitive.  It gives no error messages no matter
        how badly you much up the command line.


Please report bugs and problems to:

Roedy Green
Canadian Mind Products
#208 - 525 Ninth Street
New Westminster BC Canada
V5H 2N6
tel:(604) 777-1804
mailto:roedy@mindprod.com
http://mindprod.com

version 1.3 1998 November 8
- embed Barker address

Version 1.2 1996 October 25
- embed POB 707 Quathiaski Cove address

Version 1.1 1993 June 7
-embed name/address

Version 1.0 1989 January 18
;

; M A C R O S

CR      MACRO   ; Carriage return line feed
        DB 0dh,0ah
        ENDM

;======

EOS     MACRO   ; marks end of display string
        DB 0dh,0ah,'$'
        ENDM

;======


CODE    SEGMENT PARA

        ASSUME  CS:CODE,DS:CODE
        ORG     100H

EMPTY    PROC    FAR

START:
                                ; counted string at HEX 80
                                ; contains command line.
                                ; Name of file we want is
                                ; preceeded by unwanted spaces.
                                ; It is missing a trailing null.
        XOR     CH,CH
        MOV     CL,DS:80h
        MOV     BX,CX
        MOV     BYTE PTR [BX+81h],0     ; append the null
        MOV     AL,20h
        MOV     DI,81h
        REPE    SCASB           ; scan for first non blank
        DEC     DI              ; DI points one past it.
        MOV     DX,DI           ; DS:DX point to file
        XOR     CX,CX           ; CX=0 is attribute
        MOV     AH,03Ch         ; DOS create function
        INT     21h
QUIT:   MOV     AX,4C00H        ; EXIT
        INT     21H

EMPTY   ENDP

CopyrightMsg    label byte      ; does not display
        CR
        DB      ' Empty 1.3 ۲'
        CR
        DB      'Freeware to create empty files.'
        CR
        DB      'usage:  EMPTY  C:\Mysub\Myfile.ext'
        CR
        DB      'Copyright (c) 1990-1999 Roedy Green Canadian Mind Products'
        CR
        DB      '#208 - 525 Ninth Street, New Westminster, BC Canada V3M 5T9',13,10
        DB      'tel:(604) 777-1804   mailto:roedy@mindprod.com   http://mindprod.com',13,10
        DB      'May be freely distributed and used for any purpose except military.'
        EOS


CODE    ENDS
        END     START
